# pandas.core.window.Expanding.var

`Expanding.``var`(ddof=1, *args, **kwargs)

  Calculate unbiased expanding variance.

  Normalized by N-1 by default. This can be changed using the ddof argument.

  Parameters:

  ddof : int, default 1

  > Delta Degrees of Freedom. The divisor used in calculations is `N - ddof`, where `N` represents the number of elements.

  *args, **kwargs

  > For NumPy compatibility. No additional arguments are used.

  Returns:

  Series or DataFrame

  > Returns the same object type as the caller of the expanding calculation.

  See also

  `Series.expanding`
    Calling object with Series data.
  `DataFrame.expanding`
    Calling object with DataFrames.
  `Series.var`
    Equivalent method for Series.
  `DataFrame.var`
    Equivalent method for DataFrame.
  `numpy.var`
    Equivalent method for Numpy array.

  Notes

  The default ddof of 1 used in `Series.var()` is different than the default ddof of 0 in `numpy.var()`.

  A minimum of 1 period is required for the rolling calculation.

  Examples

      >>> s = pd.Series([5, 5, 6, 7, 5, 5, 5])
      >>> s.rolling(3).var()
      0         NaN
      1         NaN
      2    0.333333
      3    1.000000
      4    1.000000
      5    1.333333
      6    0.000000
      dtype: float64

      >>> s.expanding(3).var()
      0         NaN
      1         NaN
      2    0.333333
      3    0.916667
      4    0.800000
      5    0.700000
      6    0.619048
      dtype: float64

Scroll To Top